Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# image.hpp File Reference

## Detailed Description

Templated image.

Author:
  Lubomir Bourdev and Hailin Jin
  Adobe Systems Incorporated

Date:
  2005-2007
  Last updated on February 12, 2007

`#include <cstddef>`
`#include <memory>`
`#include "gil_config.hpp"`
`#include "image_view.hpp"`
`#include "metafunctions.hpp"`
`#include "algorithm.hpp"`

Go to the source code of this file.

## Namespaces

namespace | boost
namespace | boost::gil

## Classes

class | image
| container interface over image view. Models ImageConcept, PixelBasedConcept More...

## view, const_view

Get an image view from an image
template<typename Pixel, bool IsPlanar, typename Alloc>
const image< Pixel, IsPlanar, Alloc >::view_t & | view (image< Pixel, IsPlanar, Alloc > &img)
| Returns the non-constant-pixel view of an image.
template<typename Pixel, bool IsPlanar, typename Alloc>
const image< Pixel, IsPlanar, Alloc >::const_view_t | const_view (const image< Pixel, IsPlanar, Alloc > &img)
| Returns the constant-pixel view of an image.

## Functions

template<typename Pixel, bool IsPlanar, typename Alloc>
void | swap (image< Pixel, IsPlanar, Alloc > &im1, image< Pixel, IsPlanar, Alloc > &im2)
template<typename Pixel1, bool IsPlanar1, typename Alloc1, typename Pixel2, bool IsPlanar2, typename Alloc2>
bool | operator== (const image< Pixel1, IsPlanar1, Alloc1 > &im1, const image< Pixel2, IsPlanar2, Alloc2 > &im2)
template<typename Pixel1, bool IsPlanar1, typename Alloc1, typename Pixel2, bool IsPlanar2, typename Alloc2>
bool | operator!= (const image< Pixel1, IsPlanar1, Alloc1 > &im1, const image< Pixel2, IsPlanar2, Alloc2 > &im2)